plugins {
    id("jfmod") version "1.5-SNAPSHOT"
}

allprojects { group = "io.gitlab.jfronny" }
base.archivesName = "better-whitelist"

val fabricVersion = "0.89.1+1.20.2"
val muscriptVersion = "1.5-SNAPSHOT"
jfMod {
    minecraftVersion = "1.20.2"
    yarn("build.1")
    loaderVersion = "0.14.22"
    libJfVersion = "3.13.1"

    modrinth {
        projectId = "better-whitelist"
        requiredDependencies.addAll("fabric-api", "libjf")
    }
}

dependencies {
    modImplementation(fabricApi.module("fabric-networking-api-v1", fabricVersion))
    modImplementation(fabricApi.module("fabric-command-api-v2", fabricVersion))
    include(modImplementation("io.gitlab.jfronny:muscript:$muscriptVersion")!!)
    modImplementation("io.gitlab.jfronny.libjf:libjf-base:${jfMod.libJfVersion.get()}")

    // Dev env
    modLocalRuntime("io.gitlab.jfronny.libjf:libjf-devutil:${jfMod.libJfVersion.get()}")
    modLocalRuntime("com.terraformersmc:modmenu:8.0.0-beta.2")
}
